IRQTOP(1)

NAME
irqtop - utility to display kernel interrupt information

SYNOPSIS

irqtop [options]

DESCRIPTION

Display kernel interrupt counter information in top(1) style view.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output.

OPTIONS

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns. The default list of columns may be extended if list is specified in the format +list.

-c, --cpu-stat mode
    Show per-cpu statistics by specified mode. Available modes are: auto, enable, disable. The default option auto detects the width of window, then shows the per-cpu statistics if the width of window is large enouth to show a full line of statistics.

-d, --delay seconds
    Update interrupt output every seconds intervals.

-s, --sort column
    Specify sort criteria by column name. See --help output to get column names. The sort criteria may be changes in interactive mode.

-S, --softirq
    Show softirqs information.

-h, --help
    Display help text and exit.

-V, --version
    Print version and exit.

INTERACTIVE MODE KEY COMMANDS

i
    sort by short irq name or number field

t
    sort by total count of interrupts (the default)

d
    sort by delta count of interrupts

n
    sort by long descriptive name field

q Q
    stop updates and exit program

AUTHORS

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The irqtop command is part of the util-linux package which can be downloaded from